org.crosswire.jsword.index.search

## Class DefaultSearchModifier

- java.lang.Object
- - org.crosswire.jsword.index.search.DefaultSearchModifier

- All Implemented Interfaces:
    Serializable, SearchModifier

      public class DefaultSearchModifier
      extends Object
      implements SearchModifier

  The DefaultSearchModifier provides a simple implementation of a SearchModifier.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `maxResults` The indicator of whether the request should be ranked.
    `private boolean` | `ranked` The indicator of whether the request should be ranked.
    `private static long` | `serialVersionUID` Serialization ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSearchModifier()` A default SearchModifier that returns all hits and does not rank the results.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxResults()`
    `boolean` | `isRanked()`
    `void` | `setMaxResults(int newMaxResults)` The maximum number of results to provide.
    `void` | `setRanked(boolean newRanked)` Set whether or not the search should be ranked.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ranked

          private boolean ranked

      The indicator of whether the request should be ranked.

    - #### maxResults

          private int maxResults

      The indicator of whether the request should be ranked.

    - #### serialVersionUID

          private static final long serialVersionUID

      Serialization ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DefaultSearchModifier

          public DefaultSearchModifier()

      A default SearchModifier that returns all hits and does not rank the results.

  - ### Method Detail

    - #### isRanked

          public boolean isRanked()

      Specified by:
        `isRanked` in interface `SearchModifier`
      Returns:
        true if the results of the search request should be ranked

    - #### setRanked

          public void setRanked(boolean newRanked)

      Set whether or not the search should be ranked.
      Parameters:
        `newRanked` - true if the search should be ranked

    - #### getMaxResults

          public int getMaxResults()

      Specified by:
        `getMaxResults` in interface `SearchModifier`
      Returns:
        the maximum number of results, with Integer.MAX_VALUE meaning all.

    - #### setMaxResults

          public void setMaxResults(int newMaxResults)

      The maximum number of results to provide. A value of Integer.MAX_VALUE, the default, means get all results.
      Parameters:
        `newMaxResults` - the maxResults to set